package com.ruoyi.zongzhi.service;

import java.util.List;
import com.ruoyi.zongzhi.domain.TcWpyrwwcl;

/**
 * 网评员任务完成率心Service接口
 * 
 * @author ruoyi
 * @date 2023-08-28
 */
public interface ITcWpyrwwclService 
{
    /**
     * 查询网评员任务完成率心
     * 
     * @param id 网评员任务完成率心主键
     * @return 网评员任务完成率心
     */
    public TcWpyrwwcl selectTcWpyrwwclById(Long id);

    /**
     * 查询网评员任务完成率心列表
     * 
     * @param tcWpyrwwcl 网评员任务完成率心
     * @return 网评员任务完成率心集合
     */
    public List<TcWpyrwwcl> selectTcWpyrwwclList(TcWpyrwwcl tcWpyrwwcl);

    /**
     * 新增网评员任务完成率心
     * 
     * @param tcWpyrwwcl 网评员任务完成率心
     * @return 结果
     */
    public int insertTcWpyrwwcl(TcWpyrwwcl tcWpyrwwcl);

    /**
     * 修改网评员任务完成率心
     * 
     * @param tcWpyrwwcl 网评员任务完成率心
     * @return 结果
     */
    public int updateTcWpyrwwcl(TcWpyrwwcl tcWpyrwwcl);

    /**
     * 批量删除网评员任务完成率心
     * 
     * @param ids 需要删除的网评员任务完成率心主键集合
     * @return 结果
     */
    public int deleteTcWpyrwwclByIds(Long[] ids);

    /**
     * 删除网评员任务完成率心信息
     * 
     * @param id 网评员任务完成率心主键
     * @return 结果
     */
    public int deleteTcWpyrwwclById(Long id);
}
